# SPDX-FileCopyrightText: 2023 Maxwell G <maxwell@gtmx.me>
# SPDX-License-Identifier: MIT
# License text: https://spdx.org/licenses/MIT

Name:           python-sourcehut
Version:        0.1.0~47.20230821.feb9967
Release:        1%{?dist}
Summary:        Async Python client for the Sourcehut API

License:        MIT
URL:            https://sr.ht/~gotmax23/sourcehut
%global furl    https://git.sr.ht/~gotmax23/sourcehut
Source0:        python-sourcehut-0.1.0~47.20230821.feb9967.tar.gz

BuildArch:      noarch

BuildRequires:  gnupg2
BuildRequires:  python3-devel

%global _description %{expand:
This library provides an async python client for the Sourcehut API
implemented using httpx and pydantic.}

%description %_description

%package -n python3-sourcehut
Summary:        %{summary}

%description -n python3-sourcehut %_description


%prep
%autosetup -p1


%generate_buildrequires
%pyproject_buildrequires -x test


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files sourcehut


%check
%pytest


%files -n python3-sourcehut -f %{pyproject_files}
%doc README.md
%license LICENSES/*


%changelog

* Mon Aug 21 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~47.20230821.feb9967-1
- noxfile: update min coverage 93 -> 95

* Mon Aug 21 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~46.20230821.0988d48-1
- require `pydantic >= 1.10, < 3`

* Mon Aug 21 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~45.20230821.c5a1705-1
- add meta service

* Mon Aug 21 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~44.20230821.934aff1-1
- fix docstring typo

* Mon Aug 21 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~43.20230821.b20aed9-1
- remove unneeded condition in private _cursorit()

* Sun Aug 20 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~42.20230820.0d5893d-1
- add paste service

* Sun Aug 20 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~41.20230820.e0d957c-1
- add private services._base._BaseResource subclass

* Sun Aug 20 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~40.20230820.2aeadde-1
- update client.__all__ members

* Sun Aug 20 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~39.20230820.ace3b13-1
- improve private SrhtClient._query_with_upload() API

* Sun Aug 20 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~38.20230820.50c1255-1
- lint: fix PLW1510 error

* Sun Aug 13 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~37.20230813.22865da-1
- .builds: entirely remove mockbuild-epel9.yml.disabled

* Sun Aug 13 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~36.20230813.ce7d14b-1
- ci: enable Python 3.12 testing

* Sun Aug 13 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~35.20230813.de79e09-1
- noxfile: add covtest session

* Sun Aug 13 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~34.20230813.91ff39e-1
- add pages service

* Sat Aug 12 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~33.20230812.2e6356d-1
- Revert "don't copy() objects on pydantic model creation"

* Sat Aug 12 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~32.20230812.58f50ab-1
- rename services.base to services._base

* Sat Aug 12 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~31.20230812.fcea723-1
- don't copy() objects on pydantic model creation

* Sat Aug 12 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~30.20230812.113250e-1
- fix reuse lint errors

* Fri Aug 11 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~29.20230811.20e9da9-1
- tests: add coverage.paths mapping in pyproject.toml

* Fri Aug 11 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~28.20230811.bf6e39f-1
- .builds: fix coverage recording

* Fri Aug 11 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~27.20230811.d9a62ca-1
- fixup! .builds: enable copr dev webhook

* Fri Aug 11 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~26.20230811.ac46108-1
- fixup! .builds: enable copr dev webhook

* Fri Aug 11 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~25.20230811.8ffa11a-1
- .builds: enable copr dev webhook

* Fri Aug 11 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~24.20230811.6e015d2-1
- add contrib/api_examples

* Fri Aug 11 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~23.20230811.64f7c28-1
- tests: refresh test_todo test fixtures

* Fri Aug 11 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~22.20230811.6ec1e56-1
- TodoSrhtClient: add update_tracker()

* Fri Aug 11 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~21.20230811.b71043b-1
- ListsSrhtClient: add get_list() and get_list_ref()

* Fri Aug 11 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~20.20230811.6d6f7e3-1
- .builds: disable EPEL 9 builds for now

* Fri Aug 11 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~19.20230811.e1c9dcb-1
- .builds: add explicit python3-devel dependency

* Fri Aug 11 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~18.20230811.d8f2b7b-1
- .builds: HOTFIX install newer mock-core-configs

* Fri Aug 11 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~17.20230811.5da629f-1
- .builds: enable epel-testing for epel9 mockbuild

* Fri Aug 11 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~16.20230811.582c713-1
- .builds: fix nox-cov task typo

* Fri Aug 11 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~15.20230811.645736b-1
- .builds: also test pydanticv1 in CI

* Fri Aug 11 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~14.20230811.abb601d-1
- .builds: use python3.11 for nox -e mockbuild

* Fri Aug 11 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~13.20230811.2553bf4-1
- tests: fix test_builds typing

* Fri Aug 11 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~12.20230811.9713b4f-1
- add initial lists service module

* Fri Aug 11 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~11.20230811.49e30ff-1
- fix naming of private filter_elipsis function

* Fri Aug 11 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~10.20230811.ef9a27e-1
- tests: handle nonexistent config file

* Fri Aug 11 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~9.20230811.1a8248c-1
- switch from flit_core to hatchling

* Fri Aug 11 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~8.20230811.054f33a-1
- .builds: replace Almalinux with bug-for-bug Rocky Linux

* Fri Aug 11 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~7.20230811.3b20dd7-1
- exceptions: add SrhtError base class

* Fri Aug 11 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~6.20230811.6134c49-1
- expand project description

* Fri Aug 11 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~5.20230811.25a3d34-1
- add basic unit tests for services.builds

* Fri Aug 11 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~4.20230811.d07367a-1
- handle pydantic v2

* Fri Aug 11 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~3.20230811.5154d9d-1
- add compatibility for older Python versions

* Fri Aug 11 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~2.20230811.1c25d89-1
- init code

* Fri Aug 11 2023 Maxwell G <maxwell@gtmx.me> - 0.1.0~1.20230811.c6c1d24-1
- init project scaffolding

